##
##  smtpfeed.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         smtpfeed
Summary:      LMTP Mailer for Mass Delivery via SMTP
URL:          http://www.kyoto.wide.ad.jp/smtpfeed/
Vendor:       Motonori Nakamura
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Mail
License:      GPL
Version:      1.18
Release:      20021112

#   list of sources
Source0:      ftp://ftp.kyoto.wide.ad.jp/pub/mail/smtpfeed/smtpfeed-%{version}.tar.gz
Source1:      smtpfeedd.tar.gz
Source2:      rc.smtpfeed
Source3:      fsl.smtpfeed

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, fsl
PreReq:       OpenPKG, openpkg >= 20020206, fsl
AutoReq:      no
AutoReqProv:  no

%description
    SMTPfeed is an SMTP delivery agent which is called by an
    LMTP-speaking MTA (like Sendmail). It improves time required to
    complete delivery a message to huge number of recipients. SMTPfeed
    is effective for delivery of large mailing lists.

%prep
    %setup0 -q -c
    %setup1 -q -T -D -a 1

%build
    #   build SMTPfeed
    ( cd smtpfeed-%{version}
      chmod u+w version.c
      %{l_shtool} subst \
          -e 's;smtpfeed 1.[0-9]*;smtpfeed %{version};' \
          version.c
      CC="%{l_cc}" \
      CFLAGS="`%{l_prefix}/bin/fsl-config --all --cflags`" \
      LDFLAGS="`%{l_prefix}/bin/fsl-config --all --ldflags`" \
      LIBS="`%{l_prefix}/bin/fsl-config --all --libs`" \
      ./configure \
          --prefix=%{l_prefix}
      %{l_make} %{l_mflags -O}
    )

    #   build smtpfeed daemon
    ( cd smtpfeedd
      CC="%{l_cc}" \
      CFLAGS="`%{l_prefix}/bin/fsl-config --all --cflags`" \
      LDFLAGS="`%{l_prefix}/bin/fsl-config --all --ldflags`" \
      LIBS="`%{l_prefix}/bin/fsl-config --all --libs`" \
      ./configure
      %{l_make} %{l_mflags}
    )

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d \
        $RPM_BUILD_ROOT%{l_prefix}/etc/fsl \
        $RPM_BUILD_ROOT%{l_prefix}/sbin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man8 \
        $RPM_BUILD_ROOT%{l_prefix}/var/smtpfeed
    ( cd smtpfeed-%{version}
      %{l_shtool} install -c -s -m 755 \
          smtpfeed $RPM_BUILD_ROOT%{l_prefix}/sbin/
      %{l_shtool} install -c -m 644 \
          smtpfeed.8 $RPM_BUILD_ROOT%{l_prefix}/man/man8/
      %{l_shtool} install -c -m 644 \
          /dev/null $RPM_BUILD_ROOT%{l_prefix}/var/smtpfeed/smtpfeed.log
    )
    %{l_shtool} install -c -s -m 755 \
        smtpfeedd/smtpfeedd $RPM_BUILD_ROOT%{l_prefix}/sbin/
    %{l_shtool} install -c -m 755 -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE rc.smtpfeed} $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/
    %{l_shtool} install -c -m 644 -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE fsl.smtpfeed} $RPM_BUILD_ROOT%{l_prefix}/etc/fsl/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std} \
        '%config %{l_prefix}/etc/fsl/fsl.smtpfeed' \
        '%not %dir %{l_prefix}/etc/fsl'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

